/* ss-core/ssgui.h
 *
 * Interface to ss-gui.
 *
 * Copyright (C) 2003, 2004
 * Andy Goth     <unununium@openverse.com>
 *
 * This code is available under the GNU General Public License; see COPYING. */

#ifndef SEEN_SSCORE_SSGUI_H
#define SEEN_SSCORE_SSGUI_H

#include <stdint.h>

#include "evlist/evlist.h"
#include "ss-core/core.h"

extern int ssgui_init(device_t* dev, core_t* core);

/* These functions are temporary... please replace them with a DECENT proto. */
extern int ssgui_send_tag_add(device_t* dev, uint64_t tag, uint32_t type);
extern int ssgui_send_tag_del(device_t* dev, uint64_t tag);
extern int ssgui_send_pressure(device_t* dev, int a, int b, int c, int d);

#endif

/* vim: set ts=4 sts=4 sw=4 tw=80 et: */
