# ss-core/module.mk

PROGRAMS += $(DIR)/ss-core
TARGETS += $(DIR)/shelf.db

# XXX.
CFLAGS               += $(shell pkg-config sqlite --cflags)

SRC-$(DIR)/ss-core   := $(DIR)/main.c $(DIR)/sshw.c $(DIR)/ssgui.c $(DIR)/core.c
LIBS-$(DIR)/ss-core  := $(shell pkg-config sqlite --libs)
LLIBS-$(DIR)/ss-core := evlist/evlist.a prjlibs/prjlibs.a

$(DIR)/shelf.db: $(DIR)/shelf.sql
	@echo "* SQL $@"
	$(HUSH)sqlite $@ < $^

$(DIR)/ss-core: $(DIR)/shelf.db

ss-core: $(DIR)/ss-core

# vim: set ts=4 sw=4 tw=80 noet:
