/* ss-hw/rfid.h
 *
 * RFID tag reader functions.
 *
 * Copyright (C) 2003, 2004
 * Andy Goth     <unununium@openverse.com>
 *
 * This code is available under the GNU General Public License; see COPYING. */

#ifndef SEEN_SSHW_RFID_H
#define SEEN_SSHW_RFID_H

#include "evlist/evlist.h"

extern int rfid_init(device_t* dev, device_t* user);

extern int rfid_inv_delay(device_t* dev, int delay);
extern int rfid_rf_field (device_t* dev, int enable);

#endif

/* vim: set ts=4 sts=4 sw=4 tw=80 et: */
